Skip to main content
POST
/
v1
/
exchange
/
stablefx
/
settlementAdvance
/
repayment
Repay a settlement advance
curl --request POST \
  --url https://api.circle.com/v1/exchange/stablefx/settlementAdvance/repayment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "idempotencyKey": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11",
  "amount": {
    "currency": "USDC",
    "amount": "<string>"
  }
}
'
{
  "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
  "amount": {
    "currency": "USDC",
    "amount": "<string>"
  },
  "status": "pending",
  "createDate": "2023-01-01T12:04:05Z",
  "updateDate": "2023-01-01T12:04:05Z"
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Body

application/json

Request body for repaying a settlement advance.

idempotencyKey
string<uuid>
required

Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests. To create a UUIDv4 go to uuidgenerator.net. If the same key is reused, it will be treated as the same request and the original response will be returned.

Example:

"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"

amount
object
required

Currency and amount for settlement advance flows.

Response

Repayment recorded successfully.

Settlement advance repayment.

id
string<uuid>
required

System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

amount
object
required

Currency and amount for settlement advance flows.

status
enum<string>
required

Status of a settlement advance repayment.

Available options:
pending,
completed,
failed
Example:

"pending"

createDate
string<date-time>
required

Date and time when the resource was created

Example:

"2023-01-01T12:04:05Z"

updateDate
string<date-time>
required

Date and time when the resource was last updated

Example:

"2023-01-01T12:04:05Z"